<?php
/**
 * @package   AkeebaLoginGuard
 * @copyright Copyright (c)2016-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\Component\LoginGuard\Administrator\Event;

defined('_JEXEC') or die;

use Akeeba\Component\LoginGuard\Administrator\DataShape\MethodDescriptor;
use Akeeba\Component\LoginGuard\Administrator\Event\Backport\ResultAware;
use Akeeba\Component\LoginGuard\Administrator\Event\Backport\ResultAwareInterface;
use Akeeba\Component\LoginGuard\Administrator\Event\Backport\ResultTypeObjectAware;
use Joomla\CMS\Event\AbstractImmutableEvent;

/**
 * Concrete Event class for the onLoginGuardTfaGetMethod event
 *
 * @package     Akeeba\Component\LoginGuard\Administrator\Event
 *
 * @since       6.0.0
 */
class GetInfo extends AbstractImmutableEvent implements ResultAwareInterface
{
	use ResultAware;
	use ResultTypeObjectAware;

	/** @inheritdoc */
	public function __construct()
	{
		parent::__construct('onLoginGuardTfaGetMethod', []);

		$this->resultIsNullable        = true;
		$this->resultAcceptableClasses = [
			MethodDescriptor::class,
		];
	}
}